> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Live Demo



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json put /bot-live-demo/{botId}/{key}
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /bot-live-demo/{botId}/{key}:
    put:
      tags:
        - LiveDemo
      summary: Update Live Demo
      parameters:
        - name: botId
          in: path
          description: The ID of the Bot
          required: true
          style: simple
          schema:
            type: string
        - name: key
          in: path
          description: The key of the live demo
          required: true
          style: simple
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LiveDemoCreateDto'
          text/json:
            schema:
              $ref: '#/components/schemas/LiveDemoCreateDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/LiveDemoCreateDto'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/LiveDemoDto'
            application/json:
              schema:
                $ref: '#/components/schemas/LiveDemoDto'
            text/json:
              schema:
                $ref: '#/components/schemas/LiveDemoDto'
components:
  schemas:
    LiveDemoCreateDto:
      type: object
      properties:
        name:
          type: string
          description: The friendly-name of the live demo.
          nullable: true
        mimicSourceId:
          type: string
          description: The source ID to mimic when conversing.
          nullable: true
        active:
          type: boolean
          description: Whether or not this demo is active.
      additionalProperties: false
    LiveDemoDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        organizationId:
          type: string
          nullable: true
        active:
          type: boolean
        mimicSourceId:
          type: string
          nullable: true
        sourceVariables:
          type: array
          items:
            $ref: '#/components/schemas/BotVariableDto'
          nullable: true
      additionalProperties: false
    BotVariableDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````